Skip to content

OLT ONU Register ​

21 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
addAuthenticationConfigPOSTCreate authentication config
editOnuAdminStatusPOSTModify an existing ONU admin status
deleteAuthenticationConfigPOSTBatch delete existing authentication config
editAuthenticationConfigPOSTModify an existing authentication config
getAuthenticationConfigListGETGet authentication config list
getAuthenticationConfigPageGETGet authentication config page
editOnuAutoAuthenticationConfigPOSTModify an existing ONU auto authentication config
getOnuAutoAuthenticationConfigGETGet ONU auto authentication config
editOnuPonAutoAuthenticationConfigPOSTModify an existing ONU pon auto authentication config
getOnuPonAutoAuthenticationConfigGETGet ONU pon auto authentication config
addOnuAutoAuthenticationRuleConfigPOSTCreate ONU auto authentication rule
deleteOnuAutoAuthenticationRuleConfigPOSTDelete an existing ONU auto authentication rule
editOnuAutoAuthenticationRuleConfigPOSTModify an existing ONU auto authentication rule
getOnuAutoAuthenticationRuleConfigListGETGet ONU auto authentication rule list
getOnuAutoAuthenticationRuleConfigPageGETGet ONU auto authentication rule page
editOnuRegisterAutofindConfigPOSTModify an existing ONU register auto find config
getOnuRegisterAutofindConfigGETGet ONU register auto find config
authOnuPOSTAuthenticate ONU
clearOnuAutofindConfigPOSTBatch delete existing ONU auto find config
getOnuAutofindConfigListGETGet ONU auto find config list
getOnuAutofindConfigPageGETget ONU auto find config page

addAuthenticationConfig ​

POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/onu-register/authentications/add

Create authentication config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema AuthenticationConfigAddDTO

FieldTypeRequiredDescription
portIdstringyesPon port ID.e.g.GPON 1/0/1
onuIdintegernoONU ID,This parameter is optional. If not specified, the system will automatically allocate the smallest available ONU number under the current port.OnuId should be within the range of 0 to 127
authenticationConfigInfoAuthenticationConfigInfoDTOno(AuthenticationConfigInfoDTO not expanded; call omada_get_schema "AuthenticationConfigInfoDTO")
json
// omada_call_operation
{
  "operationId": "addAuthenticationConfig",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create authentication config
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

editOnuAdminStatus ​

POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/onu-register/authentications/admin-status/edit

Modify an existing ONU admin status

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema OnuAdminStatusEditDTO

FieldTypeRequiredDescription
adminStatusstringyesAdmin status should be a value as follows:ACTIVATE,DEACTIVATE
keysarray<string>yesEntry identifier list
json
// omada_call_operation
{
  "operationId": "editOnuAdminStatus",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify an existing ONU admin status
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

deleteAuthenticationConfig ​

POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/onu-register/authentications/delete

Batch delete existing authentication config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema StringKeyListRequest

FieldTypeRequiredDescription
keysarray<string>yesString key list
json
// omada_call_operation
{
  "operationId": "deleteAuthenticationConfig",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Batch delete existing authentication config
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

editAuthenticationConfig ​

POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/onu-register/authentications/edit

Modify an existing authentication config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema AuthenticationConfigEditDTO

FieldTypeRequiredDescription
keystringyesIdentifier of entry
portIdstringyesPon port ID.e.g.GPON 1/0/1
onuIdintegernoONU ID,This parameter is optional. If not specified, the system will automatically allocate the smallest available ONU number under the current port.OnuId should be within the range of 0 to 127
authenticationConfigInfoAuthenticationConfigInfoDTOno(AuthenticationConfigInfoDTO not expanded; call omada_get_schema "AuthenticationConfigInfoDTO")
json
// omada_call_operation
{
  "operationId": "editAuthenticationConfig",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify an existing authentication config
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

getAuthenticationConfigList ​

GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/onu-register/authentications/list

Get authentication config list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF
queryParamqueryOnuRegisterAuthenPageQueryRequestDTOnoObject: its fields (searchKey, sorts, size, number, searchFields, ponPort) are sent as separate query parameters.
json
// omada_call_operation
{
  "operationId": "getAuthenticationConfigList",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  }
}
Details, permissions and error codes

Get authentication config list
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
-45013 - Pon port does not exist.

getAuthenticationConfigPage ​

GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/onu-register/authentications/page

Get authentication config page

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF
queryParamqueryOnuRegisterAuthenPageQueryRequestDTOnoObject: its fields (searchKey, sorts, size, number, searchFields, ponPort) are sent as separate query parameters.
json
// omada_call_operation
{
  "operationId": "getAuthenticationConfigPage",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  }
}
Details, permissions and error codes

Get authentication config page
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
-45013 - Pon port does not exist.

editOnuAutoAuthenticationConfig ​

POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/onu-register/auto-authentication/global/configs/edit

Modify an existing ONU auto authentication config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema AutoAuthenticationConfigDTO

FieldTypeRequiredDescription
autoAuthenticationStatusstringyesAuto authentication status should be a value as follows:ENABLE,DISABLE
json
// omada_call_operation
{
  "operationId": "editOnuAutoAuthenticationConfig",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify an existing ONU auto authentication config
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

getOnuAutoAuthenticationConfig ​

GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/onu-register/auto-authentication/global/configs/get

Get ONU auto authentication config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getOnuAutoAuthenticationConfig",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  }
}
Details, permissions and error codes

Get ONU auto authentication config
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

editOnuPonAutoAuthenticationConfig ​

POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/onu-register/auto-authentication/port-configs/edit

Modify an existing ONU pon auto authentication config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema PonAutoAuthenticationConfigDTO

FieldTypeRequiredDescription
ponPortstringyesPon port.e.g.GPON 1/0/1
autoAuthenticationStatusstringnoAuto authentication status should be a value as follows:ENABLE,DISABLE
onuMatchModestringnoONU match mode of automatic authentication.OnuMatchMode should be a value as follows:ALL_ONU,EQUID_AUTH,EQUID_SWVER_AUTH,VENDOR_AUTH
authenticationMethodstringnoAuthentication mode used by the automatically discovered ONU.AuthenticationMethod should be a value as follows:PASSWORD_AUTH,SN_AUTH,LOID_AUTH,SN_AND_PASSWORD_AUTH,LOID_AND_PASSWORD_AUTH
discoveryModestringnoONU auto discovery mode.DiscoveryMode should be a value as follows:ALWAYS_ON,ONCE_ON
reRegisterAuthenticationstringnoRe-Register-Authentication
json
// omada_call_operation
{
  "operationId": "editOnuPonAutoAuthenticationConfig",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify an existing ONU pon auto authentication config
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

getOnuPonAutoAuthenticationConfig ​

GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/onu-register/auto-authentication/port-configs/get

Get ONU pon auto authentication config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF
queryParamqueryPonPortRequestDTOnoObject: its fields (ponPort) are sent as separate query parameters.
json
// omada_call_operation
{
  "operationId": "getOnuPonAutoAuthenticationConfig",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  }
}
Details, permissions and error codes

Get ONU pon auto authentication config
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
-45013 - Pon port does not exist.

addOnuAutoAuthenticationRuleConfig ​

POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/onu-register/auto-authentication/rules/add

Create ONU auto authentication rule

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema PonAutoAuthenticationRuleConfigDTO

FieldTypeRequiredDescription
keystringnoIdentifier of entry
ponPortstringyesPon port.e.g.GPON 1/0/1
ruleIdintegernoRule ID should be within the range of 1 to 128
equipIdstringnoMatched ONT ID.EquipId should contain 1 to 20 characters in ASCII (from \x21 to \x7e).
vendorIdstringnoMatched ONU vendor ID.VendorId should contain 1 to 4 characters in ASCII (from \x21 to \x7e).
softwareVersionstringnoSoftware version should contain 1 to 14 characters, consisting of:Uppercase and lowercase letters,Digits,Special characters: -, @, _, :, /, .
lineProfilestringyesLine profile id bound to the ONU
lineProfileNamestringnoLine profile name
serviceProfilestringyesServiceProfile id bound to the ONU
serviceProfileNamestringnoService profile name
servicePortProfilestringnoService port profile id bound to the ONU
json
// omada_call_operation
{
  "operationId": "addOnuAutoAuthenticationRuleConfig",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create ONU auto authentication rule
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

deleteOnuAutoAuthenticationRuleConfig ​

POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/onu-register/auto-authentication/rules/delete

Delete an existing ONU auto authentication rule

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema PonAutoAuthenticationRuleConfigDeleteDTO

FieldTypeRequiredDescription
ponPortstringyesPon port.e.g.GPON 1/0/1
keysarray<string>yesEntry identifier list
json
// omada_call_operation
{
  "operationId": "deleteOnuAutoAuthenticationRuleConfig",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Delete an existing ONU auto authentication rule
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

editOnuAutoAuthenticationRuleConfig ​

POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/onu-register/auto-authentication/rules/edit

Modify an existing ONU auto authentication rule

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema PonAutoAuthenticationRuleConfigEditDTO

FieldTypeRequiredDescription
keystringyesIdentifier of entry
ponPortstringyesPon port.e.g.GPON 1/0/1
ruleIdintegeryesRule ID should be within the range of 1 to 128
equipIdstringnoMatched ONT ID.EquipId should contain 1 to 20 characters in ASCII (from \x21 to \x7e).
vendorIdstringnoMatched ONU vendor ID.VendorId should contain 1 to 4 characters in ASCII (from \x21 to \x7e).
softwareVersionstringnoSoftware version should contain 1 to 14 characters, consisting of:Uppercase and lowercase letters,Digits,Special characters: -, @, _, :, /, .
lineProfilestringyesLine profile id
lineProfileNamestringnoLine profile name
serviceProfilestringyesService profile id
serviceProfileNamestringnoService profile name
servicePortProfilestringnoService port profile id bound to the ONU
json
// omada_call_operation
{
  "operationId": "editOnuAutoAuthenticationRuleConfig",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify an existing ONU auto authentication rule
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

getOnuAutoAuthenticationRuleConfigList ​

GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/onu-register/auto-authentication/rules/list

Get ONU auto authentication rule list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF
queryParamqueryOnuRegisterAuthenticationPageQueryRequestDTOnoObject: its fields (searchKey, sorts, size, number, ponPort) are sent as separate query parameters.
json
// omada_call_operation
{
  "operationId": "getOnuAutoAuthenticationRuleConfigList",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  }
}
Details, permissions and error codes

Get ONU auto authentication rule list
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
-45013 - Pon port does not exist.

getOnuAutoAuthenticationRuleConfigPage ​

GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/onu-register/auto-authentication/rules/page

Get ONU auto authentication rule page

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF
queryParamqueryOnuRegisterAuthenticationPageQueryRequestDTOnoObject: its fields (searchKey, sorts, size, number, ponPort) are sent as separate query parameters.
json
// omada_call_operation
{
  "operationId": "getOnuAutoAuthenticationRuleConfigPage",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  }
}
Details, permissions and error codes

Get ONU auto authentication rule page
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
-45013 - Pon port does not exist.

editOnuRegisterAutofindConfig ​

POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/onu-register/autofind/configs/edit

Modify an existing ONU register auto find config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema AutofindConfigDTO

FieldTypeRequiredDescription
ponPortstringnoPon port collection.e.g.,'GPON 1/1/1'、'GPON 1/1/1-3'、'GPON 1/1/1-3,GPON 1/1/5,GPON 1/1/7-8'
agingTimeStatusstringyesConfigure the DDM (Digital Diagnostic Monitoring) feature enable status for the optical port.AgingTimeStatus should be a value as follows:TIMEOUT,NO_AGING
agingTimeintegernoConfigure the actions corresponding to received DDM messages on the optical port.If aging time status is 'No-Aging',AgingTime should be null;If aging time status is 'Timeout',AgingTime should not be null and should be within the range of 100 to 300s.
autofindIntervalintegeryesAuto find interval should be within the range of 1 to 10s
json
// omada_call_operation
{
  "operationId": "editOnuRegisterAutofindConfig",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify an existing ONU register auto find config
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

getOnuRegisterAutofindConfig ​

GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/onu-register/autofind/configs/get

Get ONU register auto find config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getOnuRegisterAutofindConfig",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  }
}
Details, permissions and error codes

Get ONU register auto find config
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

authOnu ​

POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/onu-register/autofind/onus/auth

Authenticate ONU

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema OnuActivationConfigDTO

FieldTypeRequiredDescription
keysarray<string>yesEntry identifier list
onuIdintegernoOnu ID should be within the range of 0 to 127
authenticationMethodstringyesAuthentication mode used by the automatically discovered ONU.AuthenticationMethod should be a value as follows:PASSWORD_AUTH,SN_AUTH,LOID_AUTH,SN_AND_PASSWORD_AUTH,LOID_AND_PASSWORD_AUTH
lineProfilestringyesLine profile id bound to the ONU
serviceProfilestringyesService profile id bound to the ONU
descriptionstringnoDisplay the configured port description.Only 1-32 bits numbers, Upper and lower letters, -@_😕. are allowed.
discoveryModestringnoONU auto discovery mode.DiscoveryMode should be a value as follows:ALWAYS_ON,ONCE_ON
reRegisterAuthenticationstringnoRe-Register-Authentication
servicePortProfilestringnoService port profile id bound to the ONU
json
// omada_call_operation
{
  "operationId": "authOnu",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Authenticate ONU
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

clearOnuAutofindConfig ​

POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/onu-register/autofind/onus/clear

Batch delete existing ONU auto find config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema StringKeyListRequest

FieldTypeRequiredDescription
keysarray<string>yesString key list
json
// omada_call_operation
{
  "operationId": "clearOnuAutofindConfig",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Batch delete existing ONU auto find config
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

getOnuAutofindConfigList ​

GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/onu-register/autofinds/list

Get ONU auto find config list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF
queryParamqueryOnuRegisterAutoFindPageQueryRequestDTOnoObject: its fields (searchKey, sorts, size, number, searchFields, ponPort) are sent as separate query parameters.
json
// omada_call_operation
{
  "operationId": "getOnuAutofindConfigList",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  }
}
Details, permissions and error codes

Get ONU auto find config list
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

getOnuAutofindConfigPage ​

GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/onu-register/autofinds/page

get ONU auto find config page

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF
queryParamqueryOnuRegisterAutoFindPageQueryRequestDTOnoObject: its fields (searchKey, sorts, size, number, searchFields, ponPort) are sent as separate query parameters.
json
// omada_call_operation
{
  "operationId": "getOnuAutofindConfigPage",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  }
}
Details, permissions and error codes

get ONU auto find config page
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

Released under the MIT License. Not affiliated with or endorsed by TP-Link.